## org.ggf.drmaa
Class InvalidJobTemplateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.ggf.drmaa.DrmaaRuntimeException
                      org.ggf.drmaa.InvalidJobTemplateException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidJobTemplateException
extends DrmaaRuntimeException

The JobTemplate object is no longer valid. It has either been deleted via Session.deleteJobTemplate(), or it was never created through Session.createJobTemplate().

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`InvalidJobTemplateException()` Creates a new instance of `InvalidJobException` without detail message.
`InvalidJobTemplateException(java.lang.String msg)` Constructs an instance of `InvalidJobException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidJobTemplateException

    public InvalidJobTemplateException()

  Creates a new instance of `InvalidJobException` without detail message.

### InvalidJobTemplateException

    public InvalidJobTemplateException(java.lang.String msg)

  Constructs an instance of `InvalidJobException` with the specified detail message.

Parameters:
  `msg` - the detail message.